"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _react = _interopRequireDefault(require("react"));

var _excluded = ["size", "color", "strokeWidth"];

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _extends() { _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }

function _objectWithoutProperties(source, excluded) { if (source == null) return {}; var target = _objectWithoutPropertiesLoose(source, excluded); var key, i; if (Object.getOwnPropertySymbols) { var sourceSymbolKeys = Object.getOwnPropertySymbols(source); for (i = 0; i < sourceSymbolKeys.length; i++) { key = sourceSymbolKeys[i]; if (excluded.indexOf(key) >= 0) continue; if (!Object.prototype.propertyIsEnumerable.call(source, key)) continue; target[key] = source[key]; } } return target; }

function _objectWithoutPropertiesLoose(source, excluded) { if (source == null) return {}; var target = {}; var sourceKeys = Object.keys(source); var key, i; for (i = 0; i < sourceKeys.length; i++) { key = sourceKeys[i]; if (excluded.indexOf(key) >= 0) continue; target[key] = source[key]; } return target; }

var Browser = function Browser(_ref) {
  var _ref$size = _ref.size,
      size = _ref$size === void 0 ? 24 : _ref$size,
      _ref$color = _ref.color,
      color = _ref$color === void 0 ? "currentColor" : _ref$color,
      _ref$strokeWidth = _ref.strokeWidth,
      strokeWidth = _ref$strokeWidth === void 0 ? 1.5 : _ref$strokeWidth,
      props = _objectWithoutProperties(_ref, _excluded);

  return /*#__PURE__*/_react.default.createElement("svg", _extends({
    width: size,
    height: size,
    viewBox: "0 0 24 24",
    fill: "none"
  }, props), /*#__PURE__*/_react.default.createElement("g", {
    clipPath: "url(#Browser_js__clip0_6742_178)"
  }, /*#__PURE__*/_react.default.createElement("path", {
    d: "M20 12C20 7.02944 15.9706 3 11 3C6.02944 3 2 7.02944 2 12C2 16.9706 6.02944 21 11 21C12.8828 21 14.6306 20.4219 16.0754 19.4334",
    stroke: color,
    strokeWidth: strokeWidth,
    strokeLinecap: "round"
  }), /*#__PURE__*/_react.default.createElement("path", {
    d: "M2.513 9H19.381",
    stroke: color,
    strokeWidth: strokeWidth,
    strokeLinecap: "round",
    strokeLinejoin: "round"
  }), /*#__PURE__*/_react.default.createElement("path", {
    d: "M3 15H10",
    stroke: color,
    strokeWidth: strokeWidth,
    strokeLinecap: "round",
    strokeLinejoin: "round"
  }), /*#__PURE__*/_react.default.createElement("path", {
    d: "M15 12C15.0076 9.20626 14.2587 6.46257 12.833 4.06001C12.6476 3.73789 12.3806 3.47032 12.0589 3.28427C11.7372 3.09822 11.3721 3.00026 11.0005 3.00026C10.6288 3.00026 10.2638 3.09822 9.94206 3.28427C9.62034 3.47032 9.35335 3.73789 9.16799 4.06001C7.74895 6.46561 7.00049 9.20755 7.00049 12.0005C7.00049 14.7935 7.74895 17.5354 9.16799 19.941C9.35419 20.2625 9.62143 20.5296 9.94306 20.7156C10.2647 20.9016 10.6285 20.999 11 21",
    stroke: color,
    strokeWidth: strokeWidth,
    strokeLinecap: "round",
    strokeLinejoin: "round"
  }), /*#__PURE__*/_react.default.createElement("path", {
    d: "M12.8523 16.4575C12.6321 16.4575 12.5167 16.3527 12.451 16.1219L12.103 14.9128C12.0781 14.8257 12.0657 14.7725 12.0657 14.7103C12.0657 14.5541 12.1935 14.4422 12.3693 14.4422C12.5256 14.4422 12.6321 14.5417 12.6658 14.7121L12.9055 15.8485H12.918L13.163 14.7316C13.2003 14.5434 13.3246 14.4422 13.5146 14.4422C13.7028 14.4422 13.8271 14.5434 13.8661 14.7334L14.1129 15.8485H14.1254L14.3651 14.7068C14.397 14.5417 14.5018 14.4422 14.658 14.4422C14.8303 14.4422 14.9528 14.5523 14.9528 14.7068C14.9528 14.7672 14.9403 14.8204 14.9173 14.9056L14.5692 16.1184C14.5018 16.3527 14.3846 16.4575 14.1591 16.4575C13.9229 16.4575 13.8004 16.3545 13.7472 16.1166L13.5075 15.1152H13.495L13.2571 16.1219C13.2056 16.3563 13.0831 16.4575 12.8523 16.4575ZM16.1616 16.4575C15.9415 16.4575 15.8261 16.3527 15.7604 16.1219L15.4124 14.9128C15.3875 14.8257 15.3751 14.7725 15.3751 14.7103C15.3751 14.5541 15.5029 14.4422 15.6787 14.4422C15.8349 14.4422 15.9415 14.5417 15.9752 14.7121L16.2149 15.8485H16.2273L16.4724 14.7316C16.5097 14.5434 16.6339 14.4422 16.8239 14.4422C17.0121 14.4422 17.1364 14.5434 17.1755 14.7334L17.4223 15.8485H17.4347L17.6744 14.7068C17.7064 14.5417 17.8112 14.4422 17.9674 14.4422C18.1396 14.4422 18.2621 14.5523 18.2621 14.7068C18.2621 14.7672 18.2497 14.8204 18.2266 14.9056L17.8786 16.1184C17.8112 16.3527 17.694 16.4575 17.4685 16.4575C17.2323 16.4575 17.1098 16.3545 17.0565 16.1166L16.8168 15.1152H16.8044L16.5665 16.1219C16.515 16.3563 16.3925 16.4575 16.1616 16.4575ZM19.471 16.4575C19.2509 16.4575 19.1354 16.3527 19.0697 16.1219L18.7217 14.9128C18.6969 14.8257 18.6844 14.7725 18.6844 14.7103C18.6844 14.5541 18.8123 14.4422 18.9881 14.4422C19.1443 14.4422 19.2509 14.5417 19.2846 14.7121L19.5243 15.8485H19.5367L19.7817 14.7316C19.819 14.5434 19.9433 14.4422 20.1333 14.4422C20.3215 14.4422 20.4458 14.5434 20.4849 14.7334L20.7317 15.8485H20.7441L20.9838 14.7068C21.0158 14.5417 21.1205 14.4422 21.2768 14.4422C21.449 14.4422 21.5715 14.5523 21.5715 14.7068C21.5715 14.7672 21.5591 14.8204 21.536 14.9056L21.188 16.1184C21.1205 16.3527 21.0033 16.4575 20.7778 16.4575C20.5417 16.4575 20.4192 16.3545 20.3659 16.1166L20.1262 15.1152H20.1138L19.8759 16.1219C19.8244 16.3563 19.7018 16.4575 19.471 16.4575Z",
    fill: color
  })), /*#__PURE__*/_react.default.createElement("defs", null, /*#__PURE__*/_react.default.createElement("clipPath", {
    id: "Browser_js__clip0_6742_178"
  }, /*#__PURE__*/_react.default.createElement("rect", {
    width: 24,
    height: 24,
    fill: color
  }))));
};

var _default = Browser;
exports.default = _default;
//# sourceMappingURL=Browser.js.map