"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _react = _interopRequireDefault(require("react"));

var _excluded = ["size", "color", "strokeWidth"];

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _extends() { _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }

function _objectWithoutProperties(source, excluded) { if (source == null) return {}; var target = _objectWithoutPropertiesLoose(source, excluded); var key, i; if (Object.getOwnPropertySymbols) { var sourceSymbolKeys = Object.getOwnPropertySymbols(source); for (i = 0; i < sourceSymbolKeys.length; i++) { key = sourceSymbolKeys[i]; if (excluded.indexOf(key) >= 0) continue; if (!Object.prototype.propertyIsEnumerable.call(source, key)) continue; target[key] = source[key]; } } return target; }

function _objectWithoutPropertiesLoose(source, excluded) { if (source == null) return {}; var target = {}; var sourceKeys = Object.keys(source); var key, i; for (i = 0; i < sourceKeys.length; i++) { key = sourceKeys[i]; if (excluded.indexOf(key) >= 0) continue; target[key] = source[key]; } return target; }

var CustomDomain = function CustomDomain(_ref) {
  var _ref$size = _ref.size,
      size = _ref$size === void 0 ? 24 : _ref$size,
      _ref$color = _ref.color,
      color = _ref$color === void 0 ? "currentColor" : _ref$color,
      _ref$strokeWidth = _ref.strokeWidth,
      strokeWidth = _ref$strokeWidth === void 0 ? 1.5 : _ref$strokeWidth,
      props = _objectWithoutProperties(_ref, _excluded);

  return /*#__PURE__*/_react.default.createElement("svg", _extends({
    width: size,
    height: size,
    viewBox: "0 0 24 24",
    fill: "none"
  }, props), /*#__PURE__*/_react.default.createElement("g", {
    clipPath: "url(#CustomDomain_js__clip0_7295_253)"
  }, /*#__PURE__*/_react.default.createElement("path", {
    d: "M20.6025 9.35496C20.0344 7.50711 18.8863 5.89131 17.3283 4.74677C15.7703 3.60223 13.8851 2.9898 11.9519 3.00013C10.0187 3.01046 8.14021 3.64301 6.5945 4.80413C5.0488 5.96525 3.91806 7.59322 3.36968 9.44705C2.8213 11.3009 2.88442 13.282 3.5497 15.0972C4.21498 16.9123 5.44706 18.465 7.06354 19.5254C8.29307 20.3319 9.69528 20.821 11.1454 20.9593",
    stroke: color,
    strokeWidth: strokeWidth,
    strokeLinecap: "round",
    strokeLinejoin: "round"
  }), /*#__PURE__*/_react.default.createElement("path", {
    d: "M3.59991 9.00067H20.3999",
    stroke: color,
    strokeWidth: strokeWidth,
    strokeLinecap: "round",
    strokeLinejoin: "round"
  }), /*#__PURE__*/_react.default.createElement("path", {
    d: "M3.59991 15.0007H8.5",
    stroke: color,
    strokeWidth: strokeWidth,
    strokeLinecap: "round",
    strokeLinejoin: "round"
  }), /*#__PURE__*/_react.default.createElement("path", {
    d: "M11.4999 3.00067C9.81525 5.70028 8.92212 8.81854 8.92212 12.0007C8.92212 15.1828 9.81525 18.3011 11.4999 21.0007",
    stroke: color,
    strokeWidth: strokeWidth,
    strokeLinecap: "round",
    strokeLinejoin: "round"
  }), /*#__PURE__*/_react.default.createElement("path", {
    d: "M12.4999 3.00067C14.1981 5.71573 15.0809 8.83769 15.0778 12",
    stroke: color,
    strokeWidth: strokeWidth,
    strokeLinecap: "round",
    strokeLinejoin: "round"
  }), /*#__PURE__*/_react.default.createElement("path", {
    d: "M16.4999 18.4997L19.4996 15.4999",
    stroke: color,
    strokeWidth: strokeWidth,
    strokeLinecap: "round",
    strokeLinejoin: "round"
  }), /*#__PURE__*/_react.default.createElement("path", {
    d: "M17.4998 14.0001L17.7312 13.7321C18.2001 13.2633 18.836 13 19.499 13C20.162 13 20.7979 13.2635 21.2667 13.7323C21.7355 14.2012 21.9988 14.8371 21.9988 15.5001C21.9987 16.1632 21.7353 16.799 21.2664 17.2678L20.9995 17.4998",
    stroke: color,
    strokeWidth: strokeWidth,
    strokeLinecap: "round",
    strokeLinejoin: "round"
  }), /*#__PURE__*/_react.default.createElement("path", {
    d: "M18.4997 19.9996L18.3012 20.2666C17.8269 20.7356 17.1867 20.9987 16.5196 20.9987C15.8525 20.9987 15.2123 20.7356 14.738 20.2666C14.5042 20.0354 14.3186 19.7601 14.1919 19.4567C14.0652 19.1533 14 18.8278 14 18.499C14 18.1702 14.0652 17.8446 14.1919 17.5412C14.3186 17.2378 14.5042 16.9625 14.738 16.7314L15 16.4999",
    stroke: color,
    strokeWidth: strokeWidth,
    strokeLinecap: "round",
    strokeLinejoin: "round"
  })), /*#__PURE__*/_react.default.createElement("defs", null, /*#__PURE__*/_react.default.createElement("clipPath", {
    id: "CustomDomain_js__clip0_7295_253"
  }, /*#__PURE__*/_react.default.createElement("rect", {
    width: 24,
    height: 24,
    fill: color
  }))));
};

var _default = CustomDomain;
exports.default = _default;
//# sourceMappingURL=CustomDomain.js.map