"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _react = _interopRequireDefault(require("react"));

var _excluded = ["size", "color", "strokeWidth"];

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _extends() { _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }

function _objectWithoutProperties(source, excluded) { if (source == null) return {}; var target = _objectWithoutPropertiesLoose(source, excluded); var key, i; if (Object.getOwnPropertySymbols) { var sourceSymbolKeys = Object.getOwnPropertySymbols(source); for (i = 0; i < sourceSymbolKeys.length; i++) { key = sourceSymbolKeys[i]; if (excluded.indexOf(key) >= 0) continue; if (!Object.prototype.propertyIsEnumerable.call(source, key)) continue; target[key] = source[key]; } } return target; }

function _objectWithoutPropertiesLoose(source, excluded) { if (source == null) return {}; var target = {}; var sourceKeys = Object.keys(source); var key, i; for (i = 0; i < sourceKeys.length; i++) { key = sourceKeys[i]; if (excluded.indexOf(key) >= 0) continue; target[key] = source[key]; } return target; }

var NeetoDesk = function NeetoDesk(_ref) {
  var _ref$size = _ref.size,
      size = _ref$size === void 0 ? 24 : _ref$size,
      _ref$color = _ref.color,
      color = _ref$color === void 0 ? "currentColor" : _ref$color,
      _ref$strokeWidth = _ref.strokeWidth,
      strokeWidth = _ref$strokeWidth === void 0 ? 1.5 : _ref$strokeWidth,
      props = _objectWithoutProperties(_ref, _excluded);

  return /*#__PURE__*/_react.default.createElement("svg", _extends({
    width: size,
    height: size,
    viewBox: "0 0 24 24",
    fill: "none"
  }, props), /*#__PURE__*/_react.default.createElement("path", {
    d: "M21 12C21 14.3869 20.0518 16.6761 18.364 18.364C16.6761 20.0518 14.3869 21 12 21",
    stroke: color,
    strokeWidth: strokeWidth,
    strokeLinecap: "round",
    strokeLinejoin: "round"
  }), /*#__PURE__*/_react.default.createElement("path", {
    d: "M3 12C3 9.61305 3.94821 7.32387 5.63604 5.63604C7.32387 3.94821 9.61305 3 12 3",
    stroke: color,
    strokeWidth: strokeWidth,
    strokeLinecap: "round",
    strokeLinejoin: "round"
  }), /*#__PURE__*/_react.default.createElement("path", {
    d: "M3 11.9996C3.00014 13.0538 3.18764 14.0996 3.55376 15.0882C3.63489 15.3106 3.7916 15.4975 3.9965 15.6162C4.20141 15.7349 4.44151 15.7779 4.67486 15.7376L5.66105 15.5637C6.04448 15.4961 6.3866 15.282 6.6151 14.9668C6.8436 14.6515 6.94056 14.2598 6.8855 13.8744L6.58868 11.7966C6.56024 11.5976 6.49205 11.4062 6.38818 11.234C6.28431 11.0618 6.14688 10.9123 5.98405 10.7943C5.82122 10.6762 5.63633 10.5922 5.44035 10.547C5.24438 10.5019 5.04134 10.4967 4.84329 10.5316L3.0827 10.842",
    stroke: color,
    strokeWidth: strokeWidth,
    strokeLinecap: "round",
    strokeLinejoin: "round"
  }), /*#__PURE__*/_react.default.createElement("path", {
    d: "M21 12C21 9.61305 20.0518 7.32387 18.364 5.63604C16.6761 3.94821 14.3869 3 12 3",
    stroke: color,
    strokeWidth: strokeWidth,
    strokeLinecap: "round",
    strokeLinejoin: "round"
  }), /*#__PURE__*/_react.default.createElement("path", {
    d: "M21 11.9996C20.9999 13.0538 20.8124 14.0996 20.4462 15.0882C20.3651 15.3106 20.2084 15.4975 20.0035 15.6162C19.7986 15.7349 19.5585 15.7779 19.3251 15.7376L18.339 15.5637C17.9555 15.4961 17.6134 15.282 17.3849 14.9668C17.1564 14.6515 17.0594 14.2598 17.1145 13.8744L17.4113 11.7966C17.4398 11.5976 17.508 11.4062 17.6118 11.234C17.7157 11.0618 17.8531 10.9123 18.016 10.7943C18.1788 10.6762 18.3637 10.5922 18.5597 10.547C18.7556 10.5019 18.9587 10.4967 19.1567 10.5316L20.9173 10.842",
    stroke: color,
    strokeWidth: strokeWidth,
    strokeLinecap: "round",
    strokeLinejoin: "round"
  }), /*#__PURE__*/_react.default.createElement("path", {
    d: "M13.4925 12.4912C13.491 12.4912 13.4896 12.4917 13.4884 12.4925C13.4871 12.4933 13.4862 12.4945 13.4856 12.4958C13.4851 12.4972 13.4849 12.4987 13.4852 12.5001C13.4855 12.5016 13.4862 12.5029 13.4872 12.504C13.4883 12.505 13.4896 12.5057 13.4911 12.506C13.4925 12.5063 13.494 12.5062 13.4954 12.5056C13.4967 12.505 13.4979 12.5041 13.4987 12.5028C13.4995 12.5016 13.5 12.5002 13.5 12.4987C13.5 12.4977 13.4999 12.4967 13.4995 12.4958C13.4992 12.4948 13.4986 12.494 13.4979 12.4933C13.4972 12.4926 13.4964 12.492 13.4955 12.4917C13.4945 12.4913 13.4935 12.4912 13.4925 12.4912",
    stroke: color,
    strokeWidth: strokeWidth,
    strokeLinecap: "round",
    strokeLinejoin: "round"
  }), /*#__PURE__*/_react.default.createElement("path", {
    d: "M10.5075 12.4942C10.506 12.4942 10.5045 12.4946 10.5033 12.4954C10.5021 12.4962 10.5011 12.4974 10.5006 12.4988C10.5 12.5001 10.4999 12.5016 10.5001 12.5031C10.5004 12.5045 10.5011 12.5059 10.5022 12.5069C10.5032 12.508 10.5046 12.5087 10.506 12.509C10.5075 12.5092 10.509 12.5091 10.5103 12.5085C10.5117 12.508 10.5129 12.507 10.5137 12.5058C10.5145 12.5045 10.5149 12.5031 10.5149 12.5016C10.515 12.5006 10.5149 12.4996 10.5145 12.4987C10.5142 12.4977 10.5136 12.4969 10.5129 12.4962C10.5122 12.4955 10.5113 12.4949 10.5104 12.4946C10.5095 12.4942 10.5085 12.4941 10.5075 12.4942",
    stroke: color,
    strokeWidth: strokeWidth,
    strokeLinecap: "round",
    strokeLinejoin: "round"
  }));
};

var _default = NeetoDesk;
exports.default = _default;
//# sourceMappingURL=NeetoDesk.js.map