"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _react = _interopRequireDefault(require("react"));

var _excluded = ["size", "color", "strokeWidth"];

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _extends() { _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }

function _objectWithoutProperties(source, excluded) { if (source == null) return {}; var target = _objectWithoutPropertiesLoose(source, excluded); var key, i; if (Object.getOwnPropertySymbols) { var sourceSymbolKeys = Object.getOwnPropertySymbols(source); for (i = 0; i < sourceSymbolKeys.length; i++) { key = sourceSymbolKeys[i]; if (excluded.indexOf(key) >= 0) continue; if (!Object.prototype.propertyIsEnumerable.call(source, key)) continue; target[key] = source[key]; } } return target; }

function _objectWithoutPropertiesLoose(source, excluded) { if (source == null) return {}; var target = {}; var sourceKeys = Object.keys(source); var key, i; for (i = 0; i < sourceKeys.length; i++) { key = sourceKeys[i]; if (excluded.indexOf(key) >= 0) continue; target[key] = source[key]; } return target; }

var Setup = function Setup(_ref) {
  var _ref$size = _ref.size,
      size = _ref$size === void 0 ? 24 : _ref$size,
      _ref$color = _ref.color,
      color = _ref$color === void 0 ? "currentColor" : _ref$color,
      _ref$strokeWidth = _ref.strokeWidth,
      strokeWidth = _ref$strokeWidth === void 0 ? 1.5 : _ref$strokeWidth,
      props = _objectWithoutProperties(_ref, _excluded);

  return /*#__PURE__*/_react.default.createElement("svg", _extends({
    width: size,
    height: size,
    viewBox: "0 0 24 24",
    fill: "none"
  }, props), /*#__PURE__*/_react.default.createElement("g", {
    clipPath: "url(#Setup_js__clip0_7495_424)"
  }, /*#__PURE__*/_react.default.createElement("path", {
    d: "M21 13V15C21 15.2652 20.8946 15.5196 20.7071 15.7071C20.5196 15.8946 20.2652 16 20 16H4C3.73478 16 3.48043 15.8946 3.29289 15.7071C3.10536 15.5196 3 15.2652 3 15V5C3 4.73478 3.10536 4.48043 3.29289 4.29289C3.48043 4.10536 3.73478 4 4 4H11",
    stroke: color,
    strokeWidth: strokeWidth,
    strokeLinecap: "round",
    strokeLinejoin: "round"
  }), /*#__PURE__*/_react.default.createElement("path", {
    d: "M7 20H17",
    stroke: color,
    strokeWidth: strokeWidth,
    strokeLinecap: "round",
    strokeLinejoin: "round"
  }), /*#__PURE__*/_react.default.createElement("path", {
    d: "M9 16V20",
    stroke: color,
    strokeWidth: strokeWidth,
    strokeLinecap: "round",
    strokeLinejoin: "round"
  }), /*#__PURE__*/_react.default.createElement("path", {
    d: "M15 16V20",
    stroke: color,
    strokeWidth: strokeWidth,
    strokeLinecap: "round",
    strokeLinejoin: "round"
  }), /*#__PURE__*/_react.default.createElement("path", {
    d: "M18.9319 1C19.0431 1.00002 19.1515 1.03535 19.2425 1.10118C19.3334 1.167 19.4024 1.26011 19.4399 1.36778L19.7142 2.15389C19.7577 2.27751 19.8422 2.38137 19.9528 2.44722L20.7664 2.93056C20.8769 2.99615 21.0064 3.01938 21.132 2.99611L21.931 2.84778C22.0405 2.82729 22.1535 2.84213 22.2545 2.89026C22.3555 2.93839 22.4395 3.01747 22.4952 3.11667L22.9271 3.88333C22.9829 3.98227 23.0076 4.09651 22.998 4.21046C22.9883 4.3244 22.9447 4.43251 22.8731 4.52L22.3489 5.15778C22.2663 5.25807 22.221 5.38523 22.2209 5.51667V6.48333C22.221 6.61477 22.2663 6.74193 22.3489 6.84222L22.8731 7.48C22.9447 7.56749 22.9883 7.6756 22.998 7.78955C23.0076 7.90349 22.9829 8.01773 22.9271 8.11667L22.4952 8.88333C22.4396 8.98243 22.3556 9.06144 22.2547 9.10956C22.1538 9.15769 22.0409 9.17259 21.9315 9.15222L21.1325 9.00389C21.007 8.98062 20.8775 9.00385 20.767 9.06944L19.9534 9.55278C19.8428 9.61863 19.7583 9.72249 19.7147 9.84611L19.4405 10.6322C19.4029 10.74 19.3338 10.8332 19.2428 10.899C19.1518 10.9648 19.0432 11.0001 18.9319 11H18.0681C17.9569 11 17.8485 10.9646 17.7575 10.8988C17.6666 10.833 17.5976 10.7399 17.5601 10.6322L17.2858 9.84611C17.2423 9.72265 17.158 9.61884 17.0477 9.55278L16.2336 9.06944C16.1231 9.00385 15.9936 8.98062 15.868 9.00389L15.069 9.15222C14.9595 9.17271 14.8465 9.15787 14.7455 9.10974C14.6445 9.06161 14.5605 8.98253 14.5048 8.88333L14.0729 8.11667C14.0171 8.01773 13.9924 7.90349 14.002 7.78955C14.0117 7.6756 14.0553 7.56749 14.1269 7.48L14.6511 6.84222C14.7337 6.74193 14.779 6.61477 14.7791 6.48333V5.51667C14.779 5.38523 14.7337 5.25807 14.6511 5.15778L14.1323 4.52C14.0607 4.43251 14.0171 4.3244 14.0074 4.21046C13.9978 4.09651 14.0225 3.98227 14.0783 3.88333L14.5102 3.11667C14.5658 3.01757 14.6498 2.93856 14.7507 2.89044C14.8516 2.84231 14.9645 2.82741 15.0739 2.84778L15.8729 2.99611C15.9984 3.01938 16.1279 2.99615 16.2384 2.93056L17.0526 2.44722C17.1629 2.38116 17.2471 2.27735 17.2907 2.15389L17.5649 1.36778C17.6022 1.26091 17.6704 1.16836 17.7604 1.10261C17.8504 1.03685 17.9577 1.00104 18.0681 1H18.9319Z",
    stroke: color,
    strokeWidth: strokeWidth,
    strokeLinecap: "round",
    strokeLinejoin: "round"
  }), /*#__PURE__*/_react.default.createElement("path", {
    d: "M18.5 7.52778C19.32 7.52778 19.9847 6.84377 19.9847 6C19.9847 5.15623 19.32 4.47222 18.5 4.47222C17.68 4.47222 17.0153 5.15623 17.0153 6C17.0153 6.84377 17.68 7.52778 18.5 7.52778Z",
    stroke: color,
    strokeWidth: strokeWidth,
    strokeLinecap: "round",
    strokeLinejoin: "round"
  })), /*#__PURE__*/_react.default.createElement("defs", null, /*#__PURE__*/_react.default.createElement("clipPath", {
    id: "Setup_js__clip0_7495_424"
  }, /*#__PURE__*/_react.default.createElement("rect", {
    width: 24,
    height: 24,
    fill: color
  }))));
};

var _default = Setup;
exports.default = _default;
//# sourceMappingURL=Setup.js.map