"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _react = _interopRequireDefault(require("react"));

var _excluded = ["size", "color", "strokeWidth"];

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _extends() { _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }

function _objectWithoutProperties(source, excluded) { if (source == null) return {}; var target = _objectWithoutPropertiesLoose(source, excluded); var key, i; if (Object.getOwnPropertySymbols) { var sourceSymbolKeys = Object.getOwnPropertySymbols(source); for (i = 0; i < sourceSymbolKeys.length; i++) { key = sourceSymbolKeys[i]; if (excluded.indexOf(key) >= 0) continue; if (!Object.prototype.propertyIsEnumerable.call(source, key)) continue; target[key] = source[key]; } } return target; }

function _objectWithoutPropertiesLoose(source, excluded) { if (source == null) return {}; var target = {}; var sourceKeys = Object.keys(source); var key, i; for (i = 0; i < sourceKeys.length; i++) { key = sourceKeys[i]; if (excluded.indexOf(key) >= 0) continue; target[key] = source[key]; } return target; }

var SlaPolicies = function SlaPolicies(_ref) {
  var _ref$size = _ref.size,
      size = _ref$size === void 0 ? 24 : _ref$size,
      _ref$color = _ref.color,
      color = _ref$color === void 0 ? "currentColor" : _ref$color,
      _ref$strokeWidth = _ref.strokeWidth,
      strokeWidth = _ref$strokeWidth === void 0 ? 1.5 : _ref$strokeWidth,
      props = _objectWithoutProperties(_ref, _excluded);

  return /*#__PURE__*/_react.default.createElement("svg", _extends({
    width: size,
    height: size,
    viewBox: "0 0 24 24",
    fill: "none"
  }, props), /*#__PURE__*/_react.default.createElement("g", {
    clipPath: "url(#SlaPolicies_js__clip0_7328_118)"
  }, /*#__PURE__*/_react.default.createElement("path", {
    d: "M17 13C17 11.1435 16.2625 9.36301 14.9497 8.05025C13.637 6.7375 11.8565 6 10 6C8.14348 6 6.36301 6.7375 5.05025 8.05025C3.7375 9.36301 3 11.1435 3 13C3 13.9193 3.18106 14.8295 3.53284 15.6788C3.74121 16.1818 4.00706 16.6577 4.32427 17.0971",
    stroke: color,
    strokeWidth: strokeWidth,
    strokeLinecap: "round",
    strokeLinejoin: "round"
  }), /*#__PURE__*/_react.default.createElement("path", {
    d: "M12.5 10.5L10 13",
    stroke: color,
    strokeWidth: strokeWidth,
    strokeLinecap: "round",
    strokeLinejoin: "round"
  }), /*#__PURE__*/_react.default.createElement("path", {
    d: "M15 8L16 7",
    stroke: color,
    strokeWidth: strokeWidth,
    strokeLinecap: "round",
    strokeLinejoin: "round"
  }), /*#__PURE__*/_react.default.createElement("path", {
    d: "M12 3H8",
    stroke: color,
    strokeWidth: strokeWidth,
    strokeLinecap: "round",
    strokeLinejoin: "round"
  }), /*#__PURE__*/_react.default.createElement("path", {
    d: "M9.67766 21.6205C8.41924 21.6205 7.65936 21.1461 7.41813 20.547C7.36587 20.4264 7.34174 20.3018 7.34174 20.1812C7.34174 19.8113 7.6071 19.562 7.98101 19.562C8.26646 19.562 8.45945 19.6625 8.64841 19.952C8.84542 20.3139 9.23541 20.4666 9.70179 20.4666C10.2767 20.4666 10.6506 20.2093 10.6506 19.8555C10.6506 19.5339 10.4054 19.369 9.71787 19.2364L9.11881 19.1238C7.96492 18.9067 7.36185 18.3398 7.36185 17.4553C7.36185 16.3376 8.33079 15.6179 9.6656 15.6179C10.7753 15.6179 11.5874 16.0441 11.8688 16.7798C11.909 16.8803 11.9292 16.9768 11.9292 17.0974C11.9292 17.4392 11.6799 17.6684 11.31 17.6724C10.9884 17.6724 10.7873 17.5558 10.6144 17.2743C10.4255 16.9125 10.1038 16.7718 9.67766 16.7718C9.14293 16.7718 8.82933 17.013 8.82933 17.3548C8.82933 17.6603 9.09067 17.8292 9.72189 17.9498L10.3169 18.0624C11.5552 18.2996 12.1181 18.8021 12.1181 19.7148C12.1181 20.8807 11.2055 21.6205 9.67766 21.6205Z",
    fill: color
  }), /*#__PURE__*/_react.default.createElement("path", {
    d: "M13.5414 21.52C13.075 21.52 12.8016 21.2386 12.8016 20.7481V16.3979C12.8016 15.9074 13.075 15.63 13.5414 15.63C14.0078 15.63 14.2771 15.9074 14.2771 16.3979V20.3299H16.0944C16.4884 20.3299 16.7497 20.547 16.7497 20.925C16.7497 21.3029 16.4924 21.52 16.0944 21.52H13.5414Z",
    fill: color
  }), /*#__PURE__*/_react.default.createElement("path", {
    d: "M17.9318 21.6085C17.4654 21.6085 17.1799 21.3431 17.1799 20.9049C17.1799 20.7802 17.2201 20.5993 17.2845 20.4224L18.7158 16.4903C18.9289 15.8993 19.2867 15.63 19.8616 15.63C20.4687 15.63 20.8225 15.8873 21.0437 16.4903L22.487 20.4224C22.5554 20.6114 22.5835 20.7481 22.5835 20.9008C22.5835 21.315 22.2739 21.6085 21.8437 21.6085C21.4176 21.6085 21.1964 21.4155 21.0678 20.9411L20.8708 20.2978H18.8846L18.6876 20.9169C18.5469 21.4074 18.3258 21.6085 17.9318 21.6085ZM19.1781 19.1841H20.5491L19.8697 16.9487H19.8375L19.1781 19.1841Z",
    fill: color
  })), /*#__PURE__*/_react.default.createElement("defs", null, /*#__PURE__*/_react.default.createElement("clipPath", {
    id: "SlaPolicies_js__clip0_7328_118"
  }, /*#__PURE__*/_react.default.createElement("rect", {
    width: 24,
    height: 24,
    fill: color
  }))));
};

var _default = SlaPolicies;
exports.default = _default;
//# sourceMappingURL=SlaPolicies.js.map