"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _react = _interopRequireDefault(require("react"));

var _excluded = ["size", "color", "strokeWidth"];

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _extends() { _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }

function _objectWithoutProperties(source, excluded) { if (source == null) return {}; var target = _objectWithoutPropertiesLoose(source, excluded); var key, i; if (Object.getOwnPropertySymbols) { var sourceSymbolKeys = Object.getOwnPropertySymbols(source); for (i = 0; i < sourceSymbolKeys.length; i++) { key = sourceSymbolKeys[i]; if (excluded.indexOf(key) >= 0) continue; if (!Object.prototype.propertyIsEnumerable.call(source, key)) continue; target[key] = source[key]; } } return target; }

function _objectWithoutPropertiesLoose(source, excluded) { if (source == null) return {}; var target = {}; var sourceKeys = Object.keys(source); var key, i; for (i = 0; i < sourceKeys.length; i++) { key = sourceKeys[i]; if (excluded.indexOf(key) >= 0) continue; target[key] = source[key]; } return target; }

var SplitPayment = function SplitPayment(_ref) {
  var _ref$size = _ref.size,
      size = _ref$size === void 0 ? 24 : _ref$size,
      _ref$color = _ref.color,
      color = _ref$color === void 0 ? "currentColor" : _ref$color,
      _ref$strokeWidth = _ref.strokeWidth,
      strokeWidth = _ref$strokeWidth === void 0 ? 1.5 : _ref$strokeWidth,
      props = _objectWithoutProperties(_ref, _excluded);

  return /*#__PURE__*/_react.default.createElement("svg", _extends({
    width: size,
    height: size,
    viewBox: "0 0 24 24",
    fill: "none"
  }, props), /*#__PURE__*/_react.default.createElement("g", {
    clipPath: "url(#SplitPayment_js__clip0_7295_689)"
  }, /*#__PURE__*/_react.default.createElement("path", {
    d: "M19 10.5V6.83333C19 6.3471 18.801 5.88079 18.4468 5.53697C18.0925 5.19315 17.6121 5 17.1111 5H3.88889C3.38792 5 2.90748 5.19315 2.55324 5.53697C2.19901 5.88079 2 6.3471 2 6.83333V14.1667C2 14.6529 2.19901 15.1192 2.55324 15.463C2.90748 15.8068 3.38792 16 3.88889 16H4H6H10H12",
    stroke: color,
    strokeWidth: strokeWidth,
    strokeLinecap: "round",
    strokeLinejoin: "round"
  }), /*#__PURE__*/_react.default.createElement("path", {
    d: "M11.75 8.625H10.1875C9.93886 8.625 9.7004 8.72377 9.52459 8.89959C9.34877 9.0754 9.25 9.31386 9.25 9.5625C9.25 9.81114 9.34877 10.0496 9.52459 10.2254C9.7004 10.4012 9.93886 10.5 10.1875 10.5H10.8125C11.0611 10.5 11.2996 10.5988 11.4754 10.7746C11.6512 10.9504 11.75 11.1889 11.75 11.4375C11.75 11.6861 11.6512 11.9246 11.4754 12.1004C11.2996 12.2762 11.0611 12.375 10.8125 12.375H9.25",
    stroke: color,
    strokeWidth: strokeWidth,
    strokeLinecap: "round",
    strokeLinejoin: "round"
  }), /*#__PURE__*/_react.default.createElement("path", {
    d: "M10.5 12.375V13M10.5 8V8.625",
    stroke: color,
    strokeWidth: strokeWidth,
    strokeLinecap: "round",
    strokeLinejoin: "round"
  }), /*#__PURE__*/_react.default.createElement("path", {
    d: "M14 13.744C14 14.2065 14.1837 14.6501 14.5108 14.9772C14.8379 15.3042 15.2815 15.488 15.744 15.488C16.2065 15.488 16.6501 15.3042 16.9772 14.9772C17.3042 14.6501 17.488 14.2065 17.488 13.744C17.488 13.2815 17.3042 12.8379 16.9772 12.5108C16.6501 12.1837 16.2065 12 15.744 12C15.2815 12 14.8379 12.1837 14.5108 12.5108C14.1837 12.8379 14 13.2815 14 13.744Z",
    stroke: color,
    strokeWidth: strokeWidth,
    strokeLinecap: "round",
    strokeLinejoin: "round"
  }), /*#__PURE__*/_react.default.createElement("path", {
    d: "M14 19.5573C14 20.0198 14.1837 20.4634 14.5108 20.7905C14.8379 21.1176 15.2814 21.3013 15.744 21.3013C16.2065 21.3013 16.6501 21.1176 16.9772 20.7905C17.3042 20.4634 17.488 20.0198 17.488 19.5573C17.488 19.0948 17.3042 18.6512 16.9772 18.3241C16.6501 17.9971 16.2065 17.8133 15.744 17.8133C15.2814 17.8133 14.8379 17.9971 14.5108 18.3241C14.1837 18.6512 14 19.0948 14 19.5573Z",
    stroke: color,
    strokeWidth: strokeWidth,
    strokeLinecap: "round",
    strokeLinejoin: "round"
  }), /*#__PURE__*/_react.default.createElement("path", {
    d: "M17.2554 14.6742L23.3012 20.72",
    stroke: color,
    strokeWidth: strokeWidth,
    strokeLinecap: "round",
    strokeLinejoin: "round"
  }), /*#__PURE__*/_react.default.createElement("path", {
    d: "M17.2554 18.6272L23.3012 12.5814",
    stroke: color,
    strokeWidth: strokeWidth,
    strokeLinecap: "round",
    strokeLinejoin: "round"
  })), /*#__PURE__*/_react.default.createElement("defs", null, /*#__PURE__*/_react.default.createElement("clipPath", {
    id: "SplitPayment_js__clip0_7295_689"
  }, /*#__PURE__*/_react.default.createElement("rect", {
    width: 24,
    height: 24,
    fill: color
  }))));
};

var _default = SplitPayment;
exports.default = _default;
//# sourceMappingURL=SplitPayment.js.map