"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _react = _interopRequireDefault(require("react"));

var _excluded = ["size", "color", "strokeWidth"];

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _extends() { _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }

function _objectWithoutProperties(source, excluded) { if (source == null) return {}; var target = _objectWithoutPropertiesLoose(source, excluded); var key, i; if (Object.getOwnPropertySymbols) { var sourceSymbolKeys = Object.getOwnPropertySymbols(source); for (i = 0; i < sourceSymbolKeys.length; i++) { key = sourceSymbolKeys[i]; if (excluded.indexOf(key) >= 0) continue; if (!Object.prototype.propertyIsEnumerable.call(source, key)) continue; target[key] = source[key]; } } return target; }

function _objectWithoutPropertiesLoose(source, excluded) { if (source == null) return {}; var target = {}; var sourceKeys = Object.keys(source); var key, i; for (i = 0; i < sourceKeys.length; i++) { key = sourceKeys[i]; if (excluded.indexOf(key) >= 0) continue; target[key] = source[key]; } return target; }

var Subdomain = function Subdomain(_ref) {
  var _ref$size = _ref.size,
      size = _ref$size === void 0 ? 24 : _ref$size,
      _ref$color = _ref.color,
      color = _ref$color === void 0 ? "currentColor" : _ref$color,
      _ref$strokeWidth = _ref.strokeWidth,
      strokeWidth = _ref$strokeWidth === void 0 ? 1.5 : _ref$strokeWidth,
      props = _objectWithoutProperties(_ref, _excluded);

  return /*#__PURE__*/_react.default.createElement("svg", _extends({
    width: size,
    height: size,
    viewBox: "0 0 24 24",
    fill: "none"
  }, props), /*#__PURE__*/_react.default.createElement("g", {
    clipPath: "url(#Subdomain_js__clip0_7407_193)"
  }, /*#__PURE__*/_react.default.createElement("path", {
    d: "M6.1443 18.0323C5.13326 17.6135 4.2146 16.9997 3.44078 16.2259C2.66696 15.4521 2.05313 14.5334 1.63434 13.5224C1.21555 12.5113 1 11.4277 1 10.3333C1 8.1232 1.87797 6.00358 3.44078 4.44078C5.00358 2.87797 7.1232 2 9.33333 2C11.5435 2 13.6631 2.87797 15.2259 4.44078C16.0466 5.26152 16.6785 6.23583 17.0935 7.29617M17.0935 7.29617C17.12 7.36377 17.1455 7.43172 17.1702 7.5L17.0935 7.29617Z",
    stroke: color,
    strokeWidth: strokeWidth,
    strokeLinecap: "round",
    strokeLinejoin: "round"
  }), /*#__PURE__*/_react.default.createElement("path", {
    d: "M1.55554 7.55554H17.1111",
    stroke: color,
    strokeWidth: strokeWidth,
    strokeLinecap: "round",
    strokeLinejoin: "round"
  }), /*#__PURE__*/_react.default.createElement("path", {
    d: "M1.55554 13.1111H6.72393",
    stroke: color,
    strokeWidth: strokeWidth,
    strokeLinecap: "round",
    strokeLinejoin: "round"
  }), /*#__PURE__*/_react.default.createElement("path", {
    d: "M8.87035 2C7.31048 4.49964 6.48351 7.38691 6.48351 10.3333C6.48351 11.2308 6.56023 12.1228 6.71103 13",
    stroke: color,
    strokeWidth: strokeWidth,
    strokeLinecap: "round",
    strokeLinejoin: "round"
  }), /*#__PURE__*/_react.default.createElement("path", {
    d: "M9.7963 2C10.8108 3.62574 11.5153 5.41544 11.8839 7.27875",
    stroke: color,
    strokeWidth: strokeWidth,
    strokeLinecap: "round",
    strokeLinejoin: "round"
  }), /*#__PURE__*/_react.default.createElement("path", {
    d: "M8.88889 16.5556C8.88889 17.4164 9.05845 18.2689 9.3879 19.0643C9.71734 19.8596 10.2002 20.5823 10.809 21.191C11.4177 21.7998 12.1404 22.2827 12.9357 22.6121C13.7311 22.9415 14.5836 23.1111 15.4444 23.1111C16.3053 23.1111 17.1578 22.9415 17.9531 22.6121C18.7485 22.2827 19.4712 21.7998 20.0799 21.191C20.6887 20.5823 21.1715 19.8596 21.501 19.0643C21.8304 18.2689 22 17.4164 22 16.5556C22 14.8169 21.3093 13.1495 20.0799 11.9201C18.8505 10.6907 17.1831 10 15.4444 10C13.7058 10 12.0384 10.6907 10.809 11.9201C9.57956 13.1495 8.88889 14.8169 8.88889 16.5556Z",
    stroke: color,
    strokeWidth: strokeWidth,
    strokeLinecap: "round",
    strokeLinejoin: "round"
  }), /*#__PURE__*/_react.default.createElement("path", {
    d: "M9.32591 14.3704H21.5629",
    stroke: color,
    strokeWidth: strokeWidth,
    strokeLinecap: "round",
    strokeLinejoin: "round"
  }), /*#__PURE__*/_react.default.createElement("path", {
    d: "M9.32591 18.7407H21.5629",
    stroke: color,
    strokeWidth: strokeWidth,
    strokeLinecap: "round",
    strokeLinejoin: "round"
  }), /*#__PURE__*/_react.default.createElement("path", {
    d: "M15.0802 10C13.8531 11.9664 13.2026 14.2377 13.2026 16.5556C13.2026 18.8734 13.8531 21.1447 15.0802 23.1111",
    stroke: color,
    strokeWidth: strokeWidth,
    strokeLinecap: "round",
    strokeLinejoin: "round"
  }), /*#__PURE__*/_react.default.createElement("path", {
    d: "M15.8087 10C17.0358 11.9664 17.6863 14.2377 17.6863 16.5556C17.6863 18.8734 17.0358 21.1447 15.8087 23.1111",
    stroke: color,
    strokeWidth: strokeWidth,
    strokeLinecap: "round",
    strokeLinejoin: "round"
  })), /*#__PURE__*/_react.default.createElement("defs", null, /*#__PURE__*/_react.default.createElement("clipPath", {
    id: "Subdomain_js__clip0_7407_193"
  }, /*#__PURE__*/_react.default.createElement("rect", {
    width: 24,
    height: 24,
    fill: color
  }))));
};

var _default = Subdomain;
exports.default = _default;
//# sourceMappingURL=Subdomain.js.map